## firmwarehotplug-0.1.tar.gz

=== Makefile ===
ROOT =		hotplug
PREFIX =	firmware
VERSION =	0.1
RELEASE_NAME =	$(PREFIX)$(ROOT)-$(VERSION)

SUBDIRS=ezusb

all:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR all;	\
	done

clean:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR clean;	\
	done

install:
	@for DIR in $(SUBDIRS); do	\
		make -C $$DIR install;	\
	done

DISTFILES = $(shell find . \( -not -name '.' \) -print | grep -v CVS | grep -v "\.tar\.gz" | grep -v "\/\." | grep -v releases | grep -v BitKeeper | grep -v SCCS )
DISTDIR := $(RELEASE_NAME)
srcdir = .

release: $(DISTFILES) clean
	@echo $(DISTFILES)
	@-rm -rf $(DISTDIR)
	@mkdir $(DISTDIR)
	@-chmod 777 $(DISTDIR)
	@for file in $(DISTFILES); do			\
		if test -d $$file; then			\
		  	mkdir $(DISTDIR)/$$file;	\
		else					\
			cp -p $$file $(DISTDIR)/$$file;	\
		fi;					\
	done
	@tar -c $(DISTDIR) | gzip -9 > $(RELEASE_NAME).tar.gz
	@rm -rf $(DISTDIR)
	@echo "Built $(RELEASE_NAME).tar.gz"
