=== ezusb/midi/original/debian/changelog ===
ezusbmidi (20021027-1) unstable; urgency=low

  * Initial Release.

 -- Lars Doelle <lars.doelle@on-line.de>  Mon, 28 Oct 2002 12:44:14 +0100
